# Returns a list of records with the specified contact_id Returns a list of records with the specified contact_id Endpoint: GET /recurringGifts/{tenantId}/contact/{contact_id} Version: v1-2025-04-18 Security: knox-authorizer ## Path parameters: - `tenantId` (string, required) The tenant - `contact_id` (string, required) The contact_id to use to for record lookup ## Query parameters: - `fields` (string) The fields that you want to retrieve; if omitted, the entire object is returned - `exclusiveStartKey` (string) If paging, this allows you to return the next set of results ## Response 200 fields (application/json): - `Count` (integer) - `Items` (array) - `Items.amount` (number, required) The total amount of the gift - `Items.appeal_id` (string) The appeal - `Items.campaign_id` (string) The campaign - `Items.contact_id` (string, required) The rolodex contact id for the gift giver - `Items.currency_code` (string) The currency code of the gift - `Items.currency_symbol` (string) Currency - `Items.date` (string, required) The initial date of the recurring gift - `Items.donor_id` (string, required) The donor ID - `Items.donor_type` (string, required) The donor type for the gift Enum: "contact", "organization" - `Items.end_at` (string) The date at which this recurring gift should end - `Items.frequency` (string, required) Enum: "annually", "monthly", "quarterly" - `Items.fund_id` (string, required) The fund ID for this recurring gift - `Items.id` (string, required) The ID of the target gift - `Items.last_gift_id` (string) The last gift created by this recurring gift - `Items.last_processing_date` (string) The last time this recurring gift was processed - `Items.next_gift_date` (string, required) The next date that this should be gift should be processed - `Items.notes` (string) Notes for the recurring gift - `Items.number` (number) The recurring gift # - `Items.order_id` (string, required) The originating gift order - `Items.organization_id` (string, required) The organization id associated with this gift - `Items.payment_info` (object) Payment information for the recurring gift - `Items.payment_info.card_expiration` (string) The expiration date of the card - `Items.payment_info.card_type` (string) The type of card being used, or CHECK if electronic check Enum: "american express", "discover", "electronic check", "mastercard", "other", "visa" - `Items.payment_info.merchant_account_tokens` (array) - `Items.payment_info.merchant_account_tokens.merchant_account_id` (string, required) The merchant account id - `Items.payment_info.merchant_account_tokens.token` (string, required) The token representing the card/electronic check info - `Items.payment_info.payment_account` (string) The masked payment account information - `Items.payment_info.payment_origin` (string, required) Whether or not this is a saved payment method Enum: "ad hoc", "saved", "single token" - `Items.payment_info.token` (string) For integrated payments, the single token - `Items.payment_info.type` (string, required) The type of payment Enum: "credit card", "electronic check" - `Items.status` (string) Enum: "active", "cancelled", "completed", "payment error", "suspended" - `Items.suspended_until` (string) If suspended, the date at which the suspension should be lifted - `Items.sys_bulk_load_at` (string) If this record was loaded via bulk, the timestamp when the record was processed - `Items.sys_bulk_load_id` (string) If this record was loaded via bulk, the ID of the bulk load process - `Items.sys_bulk_load_pk` (string) If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key - `Items.sys_bulk_load_record_no` (number) If this record was loaded via bulk, the record number in the source file - `Items.sys_bulk_load_source_file` (string) If this record was loaded via bulk, the source file - `Items.sys_calculated_field_error` (string) The error associated with the calculated field - `Items.sys_calculated_field_errors` (array) - `Items.sys_calculated_field_errors.error` (string) - `Items.sys_calculated_field_errors.field` (string) - `Items.sys_configuration_snapshot_id` (string) If a snapshot was restored/applies to this record, the ID of the snapshot - `Items.sys_created_at` (string, required) The date/time that this record was created, expressed in ISO-8601 date format - `Items.sys_created_by_id` (string, required) The ID of the user that created this record - `Items.sys_deleted_by_id` (string) The ID of the user that deleted (or last tried to delete) this object - `Items.sys_directive` (string) Means for passing directive information into an object processing logic - `Items.sys_external_id` (string) The ID that a record has from an external system or data import - `Items.sys_has_files_in_s3` (boolean) If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion - `Items.sys_last_bulk_data_operation_id` (string) If this record was last touched by a bulk data operation, the ID of that operation - `Items.sys_last_bulk_data_operation_sys_version` (string) If this record was last touched by a bulk data operation, the sys_version at the time of that operation - `Items.sys_last_modified_at` (string, required) The date/time that this record record was last modified, expressed in ISO-8601 date format - `Items.sys_last_modified_by_id` (string, required) The ID of the user that last modified this record - `Items.sys_last_security_context` (object) The security context of the last insert, modify, or delete performed on this item - `Items.sys_locked` (boolean) If set, this record is locked and cannot be changed via the API - `Items.sys_snapshot_base_version` (number) The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox - `Items.sys_version` (number) A number representing the version of this record in the database - `Items.total_amount_given` (number) The total amount given in this recurring gift - `Items.total_number_of_gifts` (number) The total amount number of gifts given in this recurring gift - `LastEvaluatedKey` (string) ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 429 fields ## Response 500 fields